libecore-x1_1.8.6-2.5+b2_i386.deb


Advertisement

Description

libecore-x1 - Ecore functions for dealing with the X Window System

Property Value
Distribution Debian 9 (Stretch)
Repository Debian Main i386
Package filename libecore-x1_1.8.6-2.5+b2_i386.deb
Package name libecore-x1
Package version 1.8.6
Package release 2.5+b2
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage http://www.enlightenment.org
License -
Maintainer Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
Download size 117.58 KB
Installed size 373.00 KB
This is the core event abstraction layer and X abstraction layer that makes
doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
handlers fast, optimized, and convenient. It's a separate library so anyone
can make use of the work put into Ecore to make this job easy for
applications.
This package contains the Ecore wrapper and convenience functions for using
the X Window System.

Alternatives

Package Version Architecture Repository
libecore-x1_1.8.6-2.5+b2_amd64.deb 1.8.6 amd64 Debian Main
libecore-x1 - - -

Requires

Name Value
libc6 >= 2.4
libecore-input1 >= 1.7.7
libecore1 >= 1.7.7
libeina1 >= 1.8.0
libx11-6 >= 2:1.2.99.901
libxcomposite1 >= 1:0.3-1
libxcursor1 >> 1.1.2
libxdamage1 >= 1:1.1
libxext6 -
libxfixes3 -
libxi6 >= 2:1.2.99.4
libxinerama1 -
libxrandr2 >= 2:1.2.99.3
libxrender1 -
libxss1 -
libxtst6 -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libecore-x1_1.8.6-2.5+b2_i386.deb
Source Package efl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libecore-x1 deb package:
    # sudo apt-get install libecore-x1

Files

Path
/usr/lib/i386-linux-gnu/libecore_x.so.1
/usr/lib/i386-linux-gnu/libecore_x.so.1.8.6
/usr/share/doc/libecore-x1/changelog.Debian.gz
/usr/share/doc/libecore-x1/changelog.Debian.i386.gz
/usr/share/doc/libecore-x1/changelog.gz
/usr/share/doc/libecore-x1/copyright

Changelog

2016-02-18 - Matthias Klose <doko@debian.org>
efl (1.8.6-2.5) unstable; urgency=medium
* Non-maintainer upload.
* Fix build failure with current gnutls. Closes: #782469.
* libemotion1: Remove gstreamer modules from the install file.
2016-01-08 - Moritz Muehlenhoff <jmm@debian.org>
efl (1.8.6-2.4) unstable; urgency=medium
* Non-maintainer upload.
* Disable gstreamer support. gstreamer 0.10 is being removed and
while efl 1.9 has support for gstreamer 1.0 that's too big of a
change for this NMU (Closes: #785845)
2015-12-16 - Matthias Klose <doko@debian.org>
efl (1.8.6-2.3) unstable; urgency=medium
* Non-maintainer upload.
* Build using giflib 5. Closes: #803278.
2015-06-20 - Andrew Starr-Bochicchio <asb@debian.org>
efl (1.8.6-2.2) unstable; urgency=medium
* Non-maintainer upload.
[ Graham Inggs ]
* Do not build with Xprint support. (Closes: #623646)
[ Andrew Starr-Bochicchio ]
* debian/rules: Respect DEB_BUILD_OPTIONS=nocheck (Closes: #757944).
Thanks to Jonas Smedegaard.
2014-09-20 - Andreas Metzler <ametzler@debian.org>
efl (1.8.6-2.1) unstable; urgency=medium
* Non-maintainer upload.
* GnuTLS v3 transition: Change (build-)depends to libgnutls28-dev, add b-d
on libgcrypt-dev. Closes: #753025
* efl-doc built with doxygen 1.8.7-3 to work around #762272.
2014-05-04 - Albin Tonnerre <lutin@debian.org>
efl (1.8.6-2) unstable; urgency=medium
* patches/04_eina_suite_lockup: cherry-pick f5c125 to fix eina suite lockup
2014-03-09 - Albin Tonnerre <lutin@debian.org>
efl (1.8.6-1) unstable; urgency=medium
* New upstream version
* debian/watch: update watch file to correctly parse alpha/beta versions
* patches/{04_magic_debug_abi,05_eina_time_get}: remove, applied upstream
2014-03-01 - Albin Tonnerre <lutin@debian.org>
efl (1.8.5-3) unstable; urgency=medium
* debian/control: libedje1, libeio1, libeeze1, efl-dbg are now M-A: same
* debian: add new package for Emotion
* debian: add new packages for Ethumb/Ethumb-Client
2014-02-22 - Albin Tonnerre <lutin@debian.org>
efl (1.8.5-2) unstable; urgency=medium
* debian: enable GLES insead of regular GL on armel and armhf
* debian/patches/04_magic_debug_abi: disable 'magic debug' to not break ABI.
Eina uses a 'magic' number to perform checks on its data structures, but
enabling this 'magic' number changes to ABI. Eina in debian is currently
compiled without magic debug, so we need to this patch to keep ABI
compatibility
* debian/patches/05_eina_time_get: fix issues with clock_gettime on hurd/*bsd
* Upload to unstable
2014-01-31 - Albin Tonnerre <lutin@debian.org>
efl (1.8.5-1) experimental; urgency=medium
* New upstream release
* patches/04_eina_file_hash_fix: remove, applied upstream
* debian/control: allow efl-dbg to be installed on platforms lacking ecore-fb
* debian/control: allow efl to build on non-linux architectures
libudev-dev, libmount-dev and libbkid-dev are all linux-specific
packages. When they're not present the build system disables libeeze, so
that package is now linux-any.
* debian/copyright: fix missing licenses for some files (Closes: #736914)

See Also

Package Description
libecore1_1.8.6-2.5+b2_i386.deb Core abstraction layer for enlightenment DR 0.17
libecpg-compat3_9.6.15-0+deb9u1_i386.deb older version of run-time library for ECPG programs
libecpg-dev_9.6.15-0+deb9u1_i386.deb development files for ECPG (Embedded PostgreSQL for C)
libecpg6_9.6.15-0+deb9u1_i386.deb run-time library for ECPG programs
libecryptfs-dev_111-4_i386.deb ecryptfs cryptographic filesystem (development)
libecryptfs1_111-4_i386.deb ecryptfs cryptographic filesystem (library)
libeda0_0.44.15-1+b1_i386.deb Ecere Data Access
libedac-dev_0.18-1+b1_i386.deb report kernel-detected PCI and ECC RAM errors
libedac1_0.18-1+b1_i386.deb report kernel-detected PCI and ECC RAM errors
libedasqlite0_0.44.15-1+b1_i386.deb EDA SQLite Driver
libedata-book-1.2-25_3.22.7-1_i386.deb Backend library for evolution address books
libedata-book1.2-dev_3.22.7-1_i386.deb Backend library for evolution address books (development files)
libedata-cal-1.2-28_3.22.7-1_i386.deb Backend library for evolution calendars
libedata-cal1.2-dev_3.22.7-1_i386.deb Backend library for evolution calendars (development files)
libedataserver-1.2-22_3.22.7-1_i386.deb Utility library for evolution data servers
Advertisement
Advertisement